import objectdraw.*;
import java.awt.*;
import java.util.Random;

/*
 * Example CrazyColorfulSpirograph
 *
 * Yet another spirograph program.  This time it creates lines of
 * any randomly chosen color, and new colors for each line, not for
 * each spirograph
 *
 * Jim Teresco, Siena College, CSIS 120, Spring 2011
 * Modified for CSC 252, The College of Saint Rose, Fall 2013, Spring 2014
 * Based on example from Williams College CSCI 134
 *
 * $Id: CrazyColorfulSpirograph.java 2311 2014-01-23 05:03:17Z terescoj $
 */

public class CrazyColorfulSpirograph extends WindowController {

    // first coordinate of a line segment
    private Location linesStart;

    // generator for random color values
    private Random randomIntensity = new Random();

    /*
     * Save the first coordinate of the line, but don't worry
     * about colors yet for this one.
     */
    public void onMousePress(Location point) {

        linesStart = point;
    }

    public void onMouseDrag(Location point) {
        // Create a new random color, with values from
        // 0..255 for the Red, Green, and Blue parts
        // note that this can (and should) be a local variable in
        // this version of the program
        Color currentColor = new Color(randomIntensity.nextInt(256), 
                randomIntensity.nextInt(256),
                randomIntensity.nextInt(256));
        new Line(linesStart, point, canvas).setColor(currentColor);
    }

    // now also clear the canvas when we reenter the window
    public void onMouseEnter(Location pt) {
        
        canvas.clear();
    }
}
